com.trendmicro.ds.platform.rest.object.samlidentityproviders

## Class ModifySAMLServiceProviderResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.samlidentityproviders.ModifySAMLServiceProviderResponse

-     public class ModifySAMLServiceProviderResponse
      extends java.lang.Object

  Response object for the ModifySAMLServiceProvider API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifySAMLServiceProviderResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAMLServiceProvider` | `getSAMLServiceProvider()` Get the SAML service provider details.
    `void` | `setSAMLServiceProvider(SAMLServiceProvider samlServiceProvider)` Set the SAML service provider details.
    `ModifySAMLServiceProviderResponse` | `withSAMLServiceProvider(SAMLServiceProvider samlServiceProvider)` Set the SAML service provider details.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifySAMLServiceProviderResponse

          public ModifySAMLServiceProviderResponse()

  - ### Method Detail

    - #### getSAMLServiceProvider

          public SAMLServiceProvider getSAMLServiceProvider()

      Get the SAML service provider details.
      Returns:
        the SAML service provider details

    - #### setSAMLServiceProvider

          public void setSAMLServiceProvider(SAMLServiceProvider samlServiceProvider)

      Set the SAML service provider details.
      Parameters:
        `samlServiceProvider` - the SAML service provider details

    - #### withSAMLServiceProvider

          public ModifySAMLServiceProviderResponse withSAMLServiceProvider(SAMLServiceProvider samlServiceProvider)

      Set the SAML service provider details.
      Parameters:
        `samlServiceProvider` - the SAML service provider details
      Returns:
        the updated ModifySAMLServiceProviderResponse object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.